!
subroutine Preparations
use Advertisement
implicit none
open (unit=07,file='t_m.dat', status='unknown', access='sequential')
open (unit=05,file='Input.dat',status='old', access='sequential')
read (5, '(a11)') out
open (unit=06,file=out, status='unknown', access='sequential')
read (5, '(i4)') n_max
read (5, '(i4)') l_max
read (5, '(i4)') m_max
read (5, '(i4)') terms
read (5, '(i6)') node_max
read (5, '(f8.5)') width
read (5, '(f8.5)') exc
read (5, '(f8.5)') rad
r_i=dcmplx(exc, rad)
read (5, '(f8.5)') z0
write (*,*) 'inc. angle=', z0
z0=dcos(pi*z0/180.d00)
read (5, '(f8.5)') rad
read (5, '(f8.5)') exc
et=dcmplx(rad, exc)
read (5, '(f8.5)') rad
read (5, '(f8.5)') exc
ef=dcmplx(rad, exc)
rad=dsqrt(cdabs(et)**2+cdabs(ef)**2)
et=et/rad; ef=ef/rad
read (5, '(f8.5)') rv
read (5, '(f8.5)') exc
rad=rv*(exc**(1.d00/3.d00))
write (*,*) 'rad=', rad
read (5, '(f8.5)') pr
write (*,*) ' pr=', pr
read (5, '(f8.5)') pz
write (*,*) ' pz=', pz
pz=dcos(pi*pz/180.d00)
read (5, '(f8.5)') pf
write (*,*) ' pf=', pf
pf=2.d00*pi*pf/360.d00
write (*,*) 'exc=', exc
write (*,*) 'n_max=', n_max, '  l_max=', l_max, '  terms=', terms
write (*,*) 'node_max=', node_max, '  width=', width 
write (*,*) 'r_i=', r_i
end subroutine Preparations
!